package com.iqser.red.service.persistence.service.v1.api.shared.model.dossiertemplate.dossier.file;

import lombok.Getter;

public enum FileType {

    UNTOUCHED(".pdf"),
    ORIGIN(".pdf"),
    VIEWER_DOCUMENT(".pdf"),
    REDACTION_LOG(".json"),
    SIMPLIFIED_TEXT(".json"),
    SECTION_GRID(".json"),
    TEXT(".json"), // deprecated file type, only present in legacy migrations
    NER_ENTITIES(".json"),
    IMAGE_INFO(".json"),
    IMPORTED_REDACTIONS(".json"),
    TEXT_HIGHLIGHTS(".json"),
    FIGURE(".json"),
    TABLES(".json"),
    COMPONENTS(".json"),
    // document is split into 4 files, all should be overridden/deleted at the same time
    DOCUMENT_TEXT(".json"),
    DOCUMENT_STRUCTURE(".json"),
    DOCUMENT_POSITION(".json"),
    DOCUMENT_PAGES(".json"),
    ENTITY_LOG(".json"),
    COMPONENT_LOG(".json");

    @Getter
    private final String extension;


    FileType(String extension) {

        this.extension = extension;
    }

}
